curl --request GET \
--url https://api.honeycomb.io/1/signals \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/signals"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signals": [
{
"id": "hcasp_01j9x1yq0k2t8m9n3v4b5r6c7d",
"service_name": "checkout-api",
"dataset_slug": "checkout-api",
"environment_slug": "production",
"measured_signal": "error_rate",
"enabled": true,
"status": "normal",
"sensitivity": "medium",
"auto_investigate": false,
"currently_anomalous": false,
"last_anomaly_started_at": 1741089600,
"last_anomaly_ended_at": 1741093200,
"created_at": "2025-02-14T17:32:11Z",
"updated_at": "2025-03-01T10:04:22Z"
}
],
"links": {
"next": "/2/teams/my-team/api-keys?page[after]=3025fa645ad1100d&page[size]=10"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "<string>"
}List All Signals
List Signals in the environment associated with your API key. Signals are returned in cursor-paginated pages and can be filtered by service, dataset, kind, status, and whether they are currently anomalous.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Query Parameters
The string value of the next attribute from a previous result page.
The cursor value must be empty or omitted for the first request of a cursor-paginated query.
The number of entries to include per response. Maximum value is 100.
1 <= x <= 100Restrict results to Signals for a single service.
Restrict results to Signals in a single dataset.
Restrict results to Signals of the given kind. The kind of measurement the Signal is trained on.
error_rate: The fraction of erroring requests for the service.presence: Whether the service is producing spans.
error_rate, presence "error_rate"
Restrict results to Signals in the given status.
When status is provided, it takes precedence over currently_anomalous.
onboarding, normal, anomalous, ineligible, off When true, only return Signals that are currently in an anomalous state.
This parameter is ignored when status is provided (use status=anomalous instead).